Loading...
Searching...
No Matches
bsoncxx::v1::types::b_codewscope Struct Reference

`#include <bsoncxx/v1/types/view.hpp>`

## Description

BSON type value "JavaScript Code With Scope".

Deprecated
  This BSON type is deprecated.

## Public Member Functions

| b_codewscope ()=default
| Zero-initialize the represented value.
| b_codewscope (v1::stdx::string_view code, v1::document::view scope)
| Initialize with code and scope.

## Public Attributes

v1::stdx::string_view | code
| The represented value's "$code" component.
v1::document::view | scope
| The represented value's "$scope" component.

## Static Public Attributes

static constexpr id | type_id = id::k_codewscope
| The type represented by this BSON type value.

## Friends

bool | operator!= (b_codewscope const &lhs, b_codewscope const &rhs)
| Equivalent to !(lhs == rhs).
bool | operator== (b_codewscope const &lhs, b_codewscope const &rhs)
| Equivalent to lhs.code == rhs.code && lhs.scope == rhs.scope.

## Constructor & Destructor Documentation

## b_codewscope() [1/2]

bsoncxx::v1::types::b_codewscope::b_codewscope | ( |  | ) |

default

Zero-initialize the represented value.

## b_codewscope() [2/2]

bsoncxx::v1::types::b_codewscope::b_codewscope | ( | v1::stdx::string_view | code,
|  | v1::document::view | scope )

inline

Initialize with code and scope.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | b_codewscope const & | lhs,
|  | b_codewscope const & | rhs )

friend

Equivalent to !(lhs == rhs).

## operator==

bool operator== | ( | b_codewscope const & | lhs,
|  | b_codewscope const & | rhs )

friend

Equivalent to lhs.code == rhs.code && lhs.scope == rhs.scope.

## Member Data Documentation

## code

v1::stdx::string_view bsoncxx::v1::types::b_codewscope::code

The represented value's "$code" component.

## scope

v1::document::view bsoncxx::v1::types::b_codewscope::scope

The represented value's "$scope" component.

## type_id

id bsoncxx::v1::types::b_codewscope::type_id = id::k_codewscope

static constexpr

The type represented by this BSON type value.

The documentation for this struct was generated from the following file:

- bsoncxx/v1/types/view.hpp